//
//  MSPencilBrush.h
//  MSGraphicsEngineFramework
//
//  Created by Raleigh Ledet on Sat Oct 25 2003.
//  Copyright (c) 2003 MageSW. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "MSBrush.h"


typedef enum
{
	MSPencilLeadTypeHard,
	MSPencilLeadTypeMedium,
	MSPencilLeadTypeSoft
} MSPencilLeadType;

@interface MSPencilBrush : MSBrush {
	IBOutlet NSView			*attribView;
	IBOutlet NSColorWell	*colorWell;
	IBOutlet id				ctlBrushSize;
	IBOutlet NSPopUpButton  *popLeadType;
	
	NSString *_label;
	NSImage  *_iconImage;
	NSCursor *_cursor;
	
	float  _brushSize;
	NSColor *_brushColor;
	MSPencilLeadType _leadType;
}

-(IBAction)takeBrushSizeFrom:(id)sender;
-(IBAction)leadTypeMenuChanged:(id)sender;
-(IBAction)changeColor:(id)sender;

@end
